SIS900_GET_MAC_ADDR(9)

NAME
sis900_get_mac_addr - Get MAC address for stand alone SiS900 model

SYNOPSIS

int __devinit sis900_get_mac_addr (struct pci_dev * pci_dev, struct net_device * net_dev);

ARGUMENTS

pci_dev
    the sis900 pci device

net_dev
    the net device to get address for

DESCRIPTION

Older SiS900 and friends, use EEPROM to store MAC address. MAC address is read from read_eeprom into net_dev->dev_addr.

AUTHORS
Ollie Lho, Lei Chun Chang.